package com.caimei.entity;

import com.caimei.module.search.entity.vo.CmMallOrderVo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zc
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CmMallOrder extends CmMallOrderVo {
    /** 订单标识，例#orderID#：#1000# */
    private String orderMark;
    /** 订单编号+四位随机数----新的拼接交易号（transactionID+四位随机数） */
    private String newOrderNo;
    /** 订单状态备注 */
    private String statusName;
    /** 支付总金额 */
    private BigDecimal receiptAmount;
    /** 退款总金额 */
    private BigDecimal returnedPurchaseFee;
    /** 子订单集合 CmMallShopOrderVo */
    private List<CmMallShopOrder> shopOrderList;
}
