package com.caimei.service.order;

import com.caimei.entity.*;

import java.util.List;
import java.util.Map;

public interface OrderService {
    Map<String, Object> confirmOrder(Integer userId, String classifyIDS, Integer organizeID, String productIDs, Integer count);

    String shareOrder(Integer orderID) throws Exception;

    Map<String, Object> particulars(Integer orderID) throws Exception;

    List<CmMallLogisticsBatch> logistics(Integer orderID) throws Exception;

    CmWxJsonModel saveOrderInfo(CmWxJsonModel cmWxJsonModel, Integer userId, Integer organizeID, String cartType, Integer addressID, Object orderInfo, String balanceDeductionFlag, Double orderShouldPayFee, Integer cmOperationID);

    CmWxJsonModel verifyShareCode(String shareCode, String openid, Integer orderID, Integer userID, Integer organizeID);

    List<CmMallOrder> myOrder(Integer userID, Integer orderState, Integer organizeID);

    Map<String, Object> oftenPurchase(Integer userID, Integer organizeID, Integer index, Integer pageSize);

    CmWxJsonModel deleteOrder(Integer orderID);

    void cancelOrder(Integer orderID) throws Exception;

    void affirmCargo(Integer orderID) throws Exception;
}
