package com.caimei.service.user;

import com.caimei.entity.*;

import java.util.List;
import java.util.Map;

public interface PersonalService {
    CmMallClub myCentre(CmMallOperationUser operationUser);

    Map<String, Object> touchBalance(Integer index, Integer pageSize, int year, int month, CmMallUserBalanceRecord balanceRecord);

    List<CmMallProvince> address();

    List<CmMallAddress> findAddress(Integer userID);

    List<CmMallProvince> getProvince();

    List<CmMallCity> getCity(Long provinceid);

    List<CmMallTown> getTown(Integer cityid);

    void saveAddress(CmMallAddress cmMallAddress);

    void deleteAddress(Integer addressID);

    CmWxJsonModel invoice(CmMallUserInvoiceInfo cmMallUserInvoiceInfo);
}
